1. Get rid of all advertisements and get unlimited access to documents by upgrading to Premium Membership. Upgrade to Premium Now and also get a Premium Badge!

Help with Orace Forms 10g and browsers.

Discussion in 'Oracle Forms and Reports' started by Aj_aaron2002@yahoo.co.uk, Mar 11, 2010.

  1. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Friends,
    I have been unable to download the patch for developer 10g forms as I am not a metalink registered user. But I have downloaded other browsers such as firefox2 and netscape 9.0.0.6. I am trying to run my forms 10g rel2 with these browsers. But on netscape it says Java is not enabled, even though I have enabled Java. And it shows me a grey page. On firefox 2, it says 'click here to download plugin'. After you click on it, it says 'No suitable plugins were found', 'Unknown plugin(application x/jinit-applet; version 1.3.1.22) and a text box is beside it labelled 'Manual Install'. Just to say, I also have internet explorer 7. But none of these browsers work.
    Please can anyone help with advice as to what direction to go. I am stuck with my installation. I am using Windows Vista Operating System.
    Many Thanks.


    Cheers
    Aj
     
  2. Sadik

    Sadik Community Moderator Forum Guru

    Messages:
    1,906
    Likes Received:
    252
    Trophy Points:
    1,455
    Hi,

    Why are you trying firefox 2? The latest firefox version i think is 3.5.

    Besides that I don't know why it's not working, maybe someone here can help.
     
  3. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Sadik,
    Thanks for the response, I read somewhere in the Oracle forum that it works with firefox2 and not firefox3, but having tried it out, its not working.
    Pls can anyone help me. I will be highly delighted if this form can run. Am really stuck now. Thanks in advance.


    Cheers
    Ade
     
  4. Kirti

    Kirti Forum Advisor

    Messages:
    46
    Likes Received:
    12
    Trophy Points:
    130
  5. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Kirti,
    Thanks for your very good gesture. I tried downloading the link you attarched. But was unable to download it. Comes up with error 'Download Aborted, File requested does not exist.' Pls Help me, if you can. I will really appreciate this. I need patch 7047034 and OPatch Universal Installer, so as to be able to apply the patch. Thanks again.



    Many Thanks
    Aj
     
  6. Kirti

    Kirti Forum Advisor

    Messages:
    46
    Likes Received:
    12
    Trophy Points:
    130
    Hey there. I am able to download it just fine. Are you using any download managers? Don't because most file sharing sites throw errors with download managers. Just try to download with the browser default way (without the download manager).

    Which version of OPatch Installer do you need?
     
  7. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Kirti,
    You must be an angel. You were definately right, I was using a download manager. But as soon as I disabled my download manager, i was able to download the file. To be honest with you, I am just a newbie. I believe its the Opatch Universal Installer that is associated with the patch 7047034. Are there more than one Opatch Universal Installer?. Am not sure how many Opatches there are. But I can find out. Also just to say I am using vista for my operating sytem. Will the patch 7047034 work for vista? Because it says something like 704703410105winnt. Is this for vista or windows NT.? Please Kirti, forgive me for my many words.Thanks again.


    Cheers
    Aj
     
  8. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Kirti,
    I forgot to mention, its the Opatch that upgrade forms 10.1.2.0.2 to forms 10.1.2.3.0. Hope this helps.

    Many thanks
    Aj
     
  9. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Kirti,
    I extracted the files and looked through the Read Me documentation. I found that the patch is for Oracle Database 10.1.0.5. While i use SQL*Plus: Release 10.2.0.3.0. Is this what i need for the upgrade to forms 10.1.2.3 . Prsently my version of oracle forms is forms 10.1.2.0.2. And i need Patch 7047034 for Oracle forms 10g. I hope I am making some sense. Because am trying to explain as much as i could so that you can understand my requirement.

    I finally got the OPatch version i needed from the documentation. It is the Opatch with patch 6880880

    3.2 OPatch Utility Information

    You must use the OPatch utility release 1.0.0.0.57 or later. You can download it from OracleMetaLink with patch 6880880.
    Please, let me also know how to apply these patches, if you can. I am using vista operating system.


    Thanks a million
    Aj
     
  10. Kirti

    Kirti Forum Advisor

    Messages:
    46
    Likes Received:
    12
    Trophy Points:
    130
  11. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Thanks a million Kirti, U r a very special person. Thanks and keep doing good and good will always find u. Thanks again.
    I tried running the patch by typing on my dos prompt:

    Opatch apply C:\Users\ajayia\downloads\p7047034_10105_winnt\7047034 .
    This script can be invoked only in -silent mode .... exiting
    Opatch returns with error code = 1

    I then re-typed :
    Opatch apply C:\Users\ajayia\downloads\p7047034_10105_winnt\7047034 -silent
    Opatch returns with error code = 0


    Pls does anyone has a clue why the patch is not running.

    Just to say I set my Oracle_Home to C:\DevsuiteHome_1. Because this is where my oracle developer 10g is installed.

    Any clue will be helpful pls. And Kirti, you are just 1 in a million.

    cheers
    Aj
     
  12. Kirti

    Kirti Forum Advisor

    Messages:
    46
    Likes Received:
    12
    Trophy Points:
    130
    Hi, looking at that I am not really sure what's wrong. I suggest you please go through this

    And P.S, no need to thank me so much... :)
     
  13. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello All,
    I have been trying to apply patch 7047034 by using Opatch Universal Installer (Opatch 6880880). But I have not been able to do this. The main reason of applying this patch is to enable my forms 10.1.2.0.2 to be upgraded to 10.1.2.3., so that it can run on windows vista with Internet explorer 7.

    At the momment it does not run the forms it just show a grey page after trying to run the Test.fmx form.
    If I try to run any other form it comes up with an ORA-12560 :TNS: Protocol Adapter Error.
    When I click on the ok button, it comes up with the login page. When I try to re-login without entring the connect identifier it comes up with thesame error message ORA-12560 :TNS: Protocol Adapter Error.
    But when i try relogin using a connect identifier it comes up with ORA-12154: TNS: Could not resolve connect identifier specified. Then a grey page is all i see on the screen. I found that a bit strange since am already logged on, on forms 10g. Why is is it still asking me for further credentials.

    Having read several literature from the forum i thought the patch was what i needed. And this is what i did to apply the patch.


    After setting environment variable ORACLE_HOME

    C:\DevSuiteHome_1>set ORACLE_HOME=c:\oracle\product\10.2.0\db_1

    C:\DevSuiteHome_1>cd opatch

    C:\DevSuiteHome_1\OPatch>set ACTIVE_STATE__PERL=TRUE

    C:\DevSuiteHome_1\OPatch>opatch apply c:\DevSuiteHome_1\OPatch\p7047034_10105_WINNT

    "OPatch could not detect Perl. Please set PERL5LIB appropriately and invoke Perl
    ."
    "OPatch is certified with Perl Version 5.6.1."
    "Invoke OPatch manually using the following command format:"
    " <path to Perl>/perl <path to OPatch>/opatch.pl <patch command> [options]"
    "You can use the following command format to view help information:"
    " <path to Perl>/perl <path to OPatch>/opatch.pl [<patch command>] -help"


    OPatch returns with error code = 0

    I also noticed that the PERL directory has version 5.8.3 instead of the 5.6.1
    I had gone on the perl website to download perl 5.6.1, but i found the following

    Latest stable version of ActivePerl 5.6: 5.6.1 build 638
    Gzipped tarball (Unix)
    Zip file (Windows)
    Patch against Perl 5.6.1 sources

    I do not know which one to download. Is it the zip file for windows or the Patch against perl 5.6.1

    Please does anybody have any idea what i need to do.

    Thanks in advance

    Cheers
    Aj
     
  14. zargon

    zargon Community Moderator Forum Guru

    Messages:
    2,344
    Likes Received:
    347
    Trophy Points:
    1,430
    Location:
    Aurora, CO
    Forms installs in a separate ORACLE_HOME and therefore needs its own copy of tnsnames.ora. You do have a tnsnames.ora configred for your database installation? If so the easiest way to fix the connection issue is to copy the database home tnsnames.ora file (found in %ORACLE_HOME%\network\admin) to the forms home in the same location. Once this task is completed you should be able to connect to your database from forms. As for the opatch issue you need to ensure that you can 'see' your Perl installation from a Windows command prompt; typing perl -h at the prompt should display usage text. If you see this instead

    'perl' is not recognized as an internal or external command,
    operable program or batch file.

    teh PATH is not set to find your Perl inwtallation; modify your path to include the Perl binary installation directory (for example c:\perl781\bin) then open a new command prompt and try again to access perl. When this is successful you should be able to run opatch.
     
  15. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Friends,
    Thanks Zargon for the prompt reply. As initially pointed out, I can actually connect to the database from my forms 10.1.2.0.2. But what I cannot do is to run the forms with Internet Explorer7 browser on windows Vista. I get the Logon page. So I am wondering that why is it re-prompting me to logon when am already logged in from forms10g. Any light towards this direction will be highly appreciated. On internet explorer 7 browser i get ORA-12560 :TNS: Protocol Adapter Error- When am entering only username scott and password tiger. But when i enter all 3 questions, ie username, password and connect identifier -ORCL. I get error ORA-12154: TNS: Could not resolve connect identifier specified. Then a grey page on the browser. In addition to this i will like to know which of the perl to download, since the Opatch is pointing to a version of perl i do not have. It is pointing to perl 5.6.1 and i have 5.8.3. What do i do? Please i need help.
    Thanks in advance

    Cheers
    Aj
     
  16. zargon

    zargon Community Moderator Forum Guru

    Messages:
    2,344
    Likes Received:
    347
    Trophy Points:
    1,430
    Location:
    Aurora, CO
    Any version of perl 5.6.1 or greater will work so the version you currently have installed is fine. OPatch cannot find perl.exe so it IS a path issue as I described. Fix that and the perl errors will go away.

    You do have apache running? I believe you will need the web server active to actually connect to the database through the web forms.
     
  17. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Zargon,
    Thanks for the quick response. I do start the OC4J before running forms, is the OC4J thesame as Apache web server. Pls let me know. Also I have set the PERL5LIB and also the ORACLE_HOME environment variable.
    This is a copy of what i have issued against my DOS prompt.


    C:\perl\bin\MSWin32-x86-multi-thread>perl -v

    This is perl, v5.8.3 built for MSWin32-x86-multi-thread

    Copyright 1987-2003, Larry Wall

    Perl may be copied only under the terms of either the Artistic License or the
    GNU General Public License, which may be found in the Perl 5 source kit.

    Complete documentation for Perl, including FAQ lists, should be found on
    this system using `man perl' or `perldoc perl'. If you have access to the
    Internet, point your browser at http://www.perl.com/, the Perl Home Page.


    C:\perl\bin\MSWin32-x86-multi-thread>
    C:\perl\bin\MSWin32-x86-multi-thread>set ACTIVE_STATE_PERL=TRUE


    C:\>cd DevSuiteHome_1

    C:\DevSuiteHome_1>cd Opatch

    C:\DevSuiteHome_1\OPatch>opatch apply c:\DevSuiteHome_1\Opatch\7047034_10105_WI
    NNT

    "OPatch could not detect Perl. Please set PERL5LIB appropriately and invoke Perl
    ."

    "OPatch is certified with Perl Version 5.6.1."
    "Invoke OPatch manually using the following command format:"
    " <path to Perl>/perl <path to OPatch>/opatch.pl <patch command> [options]"
    "You can use the following command format to view help information:"
    " <path to Perl>/perl <path to OPatch>/opatch.pl [<patch command>] -help"[/B]

    OPatch returns with error code = 0

    C:\DevSuiteHome_1\OPatch>
    C:\DevSuiteHome_1\OPatch>c:\perl\bin\MSWin32-x86-multi-thread/perl.exe c:\DevSui
    teHome_1\OPatch/OPatch.pl opatch apply c:\DevSuiteHome_1\OPatch\7047034_10105_WI
    NNT\7047034
    This script can be invoked only in -silent mode... exiting

    C:\DevSuiteHome_1\OPatch>c:\perl\bin\MSWin32-x86-multi-thread/perl.exe c:\DevSui
    teHome_1\OPatch/OPatch.pl opatch apply c:\DevSuiteHome_1\OPatch\7047034_10105_WI
    NNT\7047034 -silent

    C:\DevSuiteHome_1\OPatch>

    I have used the following to manually invoke OPatch.

    "Invoke OPatch manually using the following command format:"
    " <path to Perl>/perl <path to OPatch>/opatch.pl <patch command> [options]"
    "You can use the following command format to view help information:"

    I initally received a message that this could only be issued in silent mode, i then re-issued the command with the -silent option.
    So I did not receive any message. Does this mean that the Patch has worked?.

    I tried to run forms but i still get thesame error message as I was getting before.
    Also i thought my version of Forms10.1.2.0.2 will be updated to Forms 10.1.2.3.0. after running the patch. I am made to beleive that Forms 10.1.2.3 only works with Internet Explorer 7, but I have Forms 10.1.2.0.2. And only the Patch can upgrade your forms to forms10.1.2.3.0
    Or does this mean that i need another patch to achieve this.? If so, what Patch.

    Many Thanks in anticipation

    Cheers
    Aj
     
  18. zargon

    zargon Community Moderator Forum Guru

    Messages:
    2,344
    Likes Received:
    347
    Trophy Points:
    1,430
    Location:
    Aurora, CO
    You should find a log of the opatch installaton which will indicate if the patch succeeded or not. Why are you not following the instructions from opatch and setting PERL5LIB before attemting to install the patch?
     
  19. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello Zargon,
    Thanks for your reply. The point remains that I am setting the PERL5LIB and other environment variables. But I am not able to find the log of the opatch installation. I have searched every where on windows vista. I thought maybe it will be in .Patch_Storage, but no luck. See below if it helps explain what i have done


    C:\Users\ajayia>echo %PERL5LIB%
    C\oracle\product\10.2.0\db_1\perl\5.8.3\bin\MSWin32-x86-Multi-thread

    Am not sure if my syntax is right or wrong, but what i typed in is :
    When I type :
    OPatch apply
    I get :
    Invoke OPatch manually using the following command format:"
    " <path to Perl>/perl <path to OPatch>/opatch.pl <patch command> [options]"

    So I try the following below:

    C\oracle\product\10.2.0\db_1\perl\5.8.3\bin\MSWin32-x86-Multi-thread/perl C:\DevSuiteHome_1\OPatch/opatch.pl opatch apply C:\DevSuiteHome_1\OPatch\7047034_10105_WINNT/7047034 -silent


    The mysteryis that it keeps telling me it can only be invoked in -silent mode. Hence I see no log file after issuing the ommand.

    Thanks all

    Aj
     
  20. Aj_aaron2002@yahoo.co.uk

    Aj_aaron2002@yahoo.co.uk Active Member

    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    80
    Hello All,
    After trying to apply the patch 7047034 with the Universal Installer Opatch 6880880.
    I get the following error:

    C:\Users\ajayia\Downloads\p7047034_10105_WINNT\7047034\OPatch>opatch apply c:\us
    ers\ajayia\downloads\p7047034_10105_winnt\7047034 - silent
    Invoking OPatch 10.2.0.4.9
    Exception in thread "main" java.lang.NullPointerException
    at oracle.sysman.oii.oiix.OiixPathOps.concatPath(OiixPathOps.java:551)
    at oracle.opatch.OPatch.setupEnvironment(OPatch.java:268)
    at oracle.opatch.OPatch.main(OPatch.java:440)

    OPatch failed with error code = 1



    I have set my Oracle Home to the forms 10g oracle home c:\DevSuiteHome_1.

    Is there anything am doing wrong or that I haven't done.

    Thanks in advance.
    Aj